@import "reset.css";
@import "header.css";
@import "footer.css";
@import "layout.css";
@import "active.css";
@import "modal.css";

:root {
  /* color */
  --colorPrimary: #ff7000;
  --colorPrimary100: #fff1dc;
  --colorPrimary200: #f9aa36;
  --colorPrimary300: #9d9688;
  --colorPrimary400: #433e31;

  --colorGray100: #f5f5f5;
  --colorGray200: #e6e6e6;
  --colorGray300: #d9d9d9;
  --colorGray400: #999999;
  --colorGray500: #666666;
  --colorGray600: #2d2d2d;
  --colorGray700: #222222;
  --colorGray800: #0e0e0e;

  --colorWhite: #ffffff;

  --colorRed: #ff0303;

  /* shadow */
  --shadow100: 0px 0px 54px 0px rgba(212, 191, 217, 0.1);
  --shadow200: 2px 2px 24px 0px rgba(0, 0, 0, 0.08);
  --shadow300: 2px 2px 8px 0px rgba(0, 0, 0, 0.11);
  --shadow400: 0px 12px 26px 0px rgba(22, 13, 159, 0.08);

  /* dim */
  --dim100: rgba(0, 0, 0, 0.2);
  --dim200: rgba(0, 0, 0, 0.4);
  --dim300: rgba(0, 0, 0, 0.7);

  /* font size */
  --fontSizeXs: 13px;
  --fontSizeSm: 14px;
  --fontSizeBase: 16px;
  --fontSizeMd: 18px;
  --fontSizeLg: 20px;
  --fontSizeXl: 24px;
  --fontSize2Xl: 26px;
  --fontSize3Xl: 32px;
  --fontSize4Xl: 46px;
  --fontSize5Xl: 80px;

  /* font weight */
  --fontWeightRegular: 400;
  --fontWeightMedium: 500;
  --fontWeightSemiBold: 600;
  --fontWeightBold: 700;

  /* border */
  --borderRadiusSm: 6px;
  --borderRadiusMd: 10px;

  /* line-height */
  --lineHeightXs: 22px;
  --lineHeightSm: 26px;
  --lineHeightBase: 28px;
  --lineHeightMd: 32px;
  --lineHeightLg: 36px;
  --lineHeightXl: 38px;
  --lineHeight2Xl: 44px;
  --lineHeight3Xl: 60px;
  --lineHeight4Xl: 90px;
}

/* 기본 폰트 설정 */
body,
button,
input,
select,
table,
textarea {
  font-family: "Pretendard", sans-serif;
  letter-spacing: -0.5px;
  word-break: keep-all;
  color: var(--colorGray700);
}

body {
  color: var(--colorGray700);
  background-color: var(--colorGray100);
}

/* 화면 영역 */

#container {
  width: 100%;
  min-height: calc(100vh - 660px);
  margin: 258px auto 160px auto;
}

.content-inner {
  width: 1400px;
  margin: 0 auto;
}

/* 타이틀 영역 */
.title-group {
  text-align: center;
}

.title {
  font-size: var(--fontSize4Xl);
  font-weight: var(--fontWeightBold);
  line-height: var(--lineHeight3Xl);
}

.section-title {
  font-size: var(--fontSizeXl);
  font-weight: var(--fontWeightSemiBold);
  line-height: var(--lineHeightLg);
}

.select-area {
  position: relative;
  width: 160px;
}

/* 셀렉트 박스 영역 */
.select-box {
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: var(--colorGray400);
  cursor: pointer;
  width: 100%;
  height: 48px;
  font-size: var(--fontSizeSm);
  border: 1px solid var(--colorGray300);
  border-radius: var(--borderRadiusSm);
  background-color: var(--colorWhite);
  padding: 0 12px;
}
.select-box span{
  font-size: var(--fontSizeSm);
}
.select-box:focus {
  border: 1px solid var(--colorPrimary400);
}
.select-box.disabled {
  background-color: var(--colorGray100);
  pointer-events: none;
}
.select-option {
  position: absolute;
  top: 43px;
  flex-direction: column;
  align-items: flex-start;
  width: 100%;
  border-left: 1px solid var(--colorGray700);
  border-right: 1px solid var(--colorGray700);
  border-bottom: 1px solid var(--colorGray700);
  border-bottom-left-radius: var(--borderRadiusSm);
  border-bottom-right-radius: var(--borderRadiusSm);
  background-color: var(--colorWhite);
  z-index: 1;
}

.select-option button {
  width: 100%;
  height: 38px;
  text-align: left;
  padding: 0 12px;
  font-size: var(--fontSizeSm);
}

.select-option a{
  display: flex;
  align-items: center;
  width: 100%;
  height: 38px;
  text-align: left;
  padding: 0 12px;
  font-size: var(--fontSizeSm);
}

/** 체크 박스 영역 */
label.check-label {
  display: flex;
  align-items: center;
  gap: 0 6px;
  cursor: pointer;
}

label.check-label p {
  color: var(--colorGray500);
  font-size: var(--fontSizeXs);
  line-height: var(--lineHeightXs);
}

label.input-label.highlight input,
label.textarea-label.highlight textarea {
  border: 1px solid var(--colorPrimary200);
}

label.input-label input:focus,
label.textarea-label textarea:focus{
  border: 1px solid var(--colorPrimary200);
}

.check-box {
  appearance: none;
  display: block;
  min-width: 16px;
  width: 16px;
  height: 16px;
  float: left;
  cursor: pointer;
  background: url("../images/common/check-box-before.svg") no-repeat;
}

.check-box:checked {
  background: url("../images/common/check-box.svg") no-repeat;
  border: 0;
}

/* input 영역 */
.input {
  width: 100%;
  height: 48px;
  font-size: var(--fontSizeSm);
  border: 1px solid var(--colorGray300);
  border-radius: var(--borderRadiusSm);
  background-color: var(--colorWhite);
  padding: 0 12px;
}

input::placeholder,
textarea::placeholder{
  color: var(--colorGray400);
  font-size: var(--fontSizeSm);
}

/* 버튼 영역 */
.btn {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  font-size: var(--fontSizeSm);
  font-weight: var(--fontWeightSemiBold);
  border-radius: var(--borderRadiusSm);
  box-sizing: border-box;
}

.btn.small {
  height: 32px;
  padding: 0 20px;
}

.btn.medium {
  height: 48px;
  padding: 0 40px;
}

.btn.large {
  min-width: 192px;
  height: 60px;
  padding: 0 60px;
}

.btn.primary {
  color: var(--colorWhite);
  background-color: var(--colorPrimary);
}
.btn.secondary {
  color: var(--colorPrimary);
  border: 2px solid var(--colorPrimary);
}
.btn.disabled {
  color: var(--colorGray400);
  font-weight: var(--fontWeightSemiBold);
  background-color: var(--colorGray300);
  pointer-events: none;
}

.btn img {
  margin-left: 6px;
}

/* 독립 클래스 */
.desc {
  color: var(--colorGray500);
  line-height: var(--lineHeightSm);
  margin-top: 20px;
}

.message {
  /*display: flex;*/
  /*align-items: baseline;*/
  /*gap: 0 6px;*/
  font-size: var(--fontSizeXs);
  line-height: var(--lineHeightXs);
  margin-top: 6px;
}

.message p{
  display: inline;
}

/* 색상 제어 */
.txt-primary {
  color: var(--colorPrimary);
}

.txt-black {
  color: var(--colorGray700);
}

.txt-muted {
  color: var(--colorGray400);
}

.txt-dark-muted {
  color: var(--colorGray500);
}

.txt-white {
  color: var(--colorWhite);
}

.txt-alert {
  color: var(--colorRed);
}

.txt-complete {
  color: var(--colorPrimary400);
}

/* 화면 제어 */
.hide {
  display: none;
}

.show-block {
  display: block;
}

.show-flex {
  display: flex;
}

.show-grid {
  display: grid;
}

/* 테이블 영역 */
.table-group {
  width: 100%;
  border-top: 1px solid var(--colorGray700);
}

.table-group > ul > li {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  padding: 20px 30px;
  border-bottom: 1px solid var(--colorGray200);
}
.table-group > ul > li:hover .support-title-txt p,
.mypage-table-group > ul > li:hover .table-title-group>p,
.table-group > ul > li:hover .my-title-txt>p{
  color: var(--colorPrimary200);
  text-shadow: 0 0 0 currentColor;
  -webkit-text-stroke: 0.3px currentColor;
}
.table-group .list-none {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 239px;
  color: var(--colorGray400);
  font-size: var(--fontSizeXs);
  border-bottom: 1px solid var(--colorGray200);
}

/* 페이지 영역 */
.pagination {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
  gap: 0 24px;
}

.page-arrow {
  display: flex;
  align-items: center;
  gap: 0 18px;
}

.page-number {
  display: flex;
  align-items: center;
  gap: 0 16px;
}

.page-number button {
  width: 24px;
  height: 24px;
  color: var(--colorGray400);
  font-size: var(--fontSizeSm);
}

/* 스크롤 영역 */
.scroll-custom::-webkit-scrollbar {
  width: 2px;
}

.scroll-custom::-webkit-scrollbar-track {
  background: transparent;
}

.scroll-custom::-webkit-scrollbar-thumb {
  border-radius: 80px;
  background: var(--colorGray300);
}

.read-only {
  width: 100%;
  height: 48px;
  font-size: var(--fontSizeSm);
  border: 1px solid var(--colorGray300);
  border-radius: var(--borderRadiusSm);
  background-color: var(--colorGray100);
  padding: 13px 12px;
  box-sizing: border-box;
  display: flex;
  align-items: center;
}

@media (hover: hover) and (pointer: fine) {
  .select-option button:hover {
    color: var(--colorPrimary);
    font-weight: var(--fontWeightBold);
  }
  .btn.primary:hover {
    background-color: var(--colorPrimary200);
  }
  .btn.secondary:hover {
    color: var(--colorPrimary200);
    border: 2px solid var(--colorPrimary200);
  }
}

@media (hover: none) and (pointer: coarse) {
  .select-option button.is-pressed {
    color: var(--colorPrimary);
    font-weight: var(--fontWeightBold);
  }
  .btn.primary.is-pressed {
    background-color: var(--colorPrimary200);
  }
  .btn.secondary.is-pressed {
    color: var(--colorPrimary200);
    border: 2px solid var(--colorPrimary200);
  }
}

@media all and (max-width: 1479px) {
  #container {
    width: 100%;
    margin: 198px auto 100px auto;
  }
  .content-inner {
    width: 100%;
    padding: 0 40px;
  }
}

@media all and (max-width: 1279px) {
  #container {
    min-height: calc(100vh - 669px);
    margin: 132px auto 120px auto;
  }
  /* 타이틀 영역 */

  .title {
    font-size: var(--fontSize3Xl);
    line-height: var(--lineHeight2Xl);
  }
  .table-group > ul > li {
    flex-direction: column;
  }
  .select-area {
    width: 100%;
  }
}

@media all and (max-width: 767px) {
  #container {
    min-height: calc(100vh - 617px);
    margin: 100px auto 80px auto;
  }
  .content-inner {
    width: 100%;
    padding: 0 15px;
  }
  /* 타이틀 영역 */

  .title {
    font-size: var(--fontSizeXl);
    line-height: var(--lineHeightLg);
  }
  .section-title {
    font-size: var(--fontSizeLg);
    line-height: var(--lineHeightMd);
  }
  .table-group > ul > li {
    padding: 20px 15px;
  }
  .btn.medium {
    width: 100%;
  }
  .desc {
    font-size: var(--fontSizeSm);
    line-height: var(--lineHeightXs);
    margin-top: 10px;
  }
}